-- 基础信息
base_info = {
	group_id = 133301747
}

-- Trigger变量
defs = {
	gadget_prison = 747001,
	duration = 210,
	rampage_time = 40,
	eye_point = 747054
}

-- DEFS_MISCS
local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 747059, 747060, 747061, 747062, 747063, 747064}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}

--这个group对应的图用哪些，这里就填哪些（对应关系请咨询TD）
local disguiseList = {34,37,38}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[747001] = { config_id = 747001, gadget_id = 70800087, pos = { x = -176.130, y = 221.414, z = 3968.107 }, rot = { x = 0.000, y = 299.643, z = 0.000 }, level = 10, area_id = 22 },
	[747002] = { config_id = 747002, gadget_id = 70800437, pos = { x = -153.507, y = 225.323, z = 3989.057 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747003] = { config_id = 747003, gadget_id = 70800437, pos = { x = -160.310, y = 220.113, z = 3982.659 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 22 },
	[747004] = { config_id = 747004, gadget_id = 70800437, pos = { x = -178.838, y = 220.270, z = 3988.533 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747005] = { config_id = 747005, gadget_id = 70800107, pos = { x = -177.140, y = 243.000, z = 3995.002 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 22 },
	[747006] = { config_id = 747006, gadget_id = 70800437, pos = { x = -138.750, y = 229.357, z = 3979.456 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 22 },
	[747007] = { config_id = 747007, gadget_id = 70800437, pos = { x = -165.659, y = 222.457, z = 4006.658 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 22 },
	[747008] = { config_id = 747008, gadget_id = 70800437, pos = { x = -159.991, y = 220.180, z = 3998.677 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 22 },
	[747009] = { config_id = 747009, gadget_id = 70800437, pos = { x = -159.705, y = 220.031, z = 3989.949 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 22 },
	[747010] = { config_id = 747010, gadget_id = 70800437, pos = { x = -157.287, y = 229.362, z = 4023.659 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 22 },
	[747011] = { config_id = 747011, gadget_id = 70800437, pos = { x = -141.599, y = 230.580, z = 3980.899 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 22 },
	[747012] = { config_id = 747012, gadget_id = 70800437, pos = { x = -161.780, y = 223.508, z = 4011.488 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 22 },
	[747013] = { config_id = 747013, gadget_id = 70800437, pos = { x = -138.374, y = 230.561, z = 3992.121 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 22 },
	[747014] = { config_id = 747014, gadget_id = 70800437, pos = { x = -152.158, y = 224.071, z = 3967.650 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747015] = { config_id = 747015, gadget_id = 70800437, pos = { x = -173.524, y = 226.713, z = 3996.862 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747016] = { config_id = 747016, gadget_id = 70800437, pos = { x = -164.792, y = 220.122, z = 3993.854 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747017] = { config_id = 747017, gadget_id = 70800437, pos = { x = -140.970, y = 228.159, z = 3975.383 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 22 },
	[747018] = { config_id = 747018, gadget_id = 70800437, pos = { x = -148.966, y = 227.886, z = 3998.056 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 22 },
	[747019] = { config_id = 747019, gadget_id = 70800434, pos = { x = -144.216, y = 228.517, z = 4006.572 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 22 },
	[747020] = { config_id = 747020, gadget_id = 70800434, pos = { x = -148.463, y = 223.833, z = 4028.243 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747021] = { config_id = 747021, gadget_id = 70800434, pos = { x = -124.243, y = 235.104, z = 4046.408 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747022] = { config_id = 747022, gadget_id = 70800434, pos = { x = -127.496, y = 236.892, z = 3994.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747023] = { config_id = 747023, gadget_id = 70800434, pos = { x = -157.242, y = 224.218, z = 3969.039 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 22 },
	[747024] = { config_id = 747024, gadget_id = 70800434, pos = { x = -148.251, y = 224.748, z = 3978.973 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 22 },
	[747025] = { config_id = 747025, gadget_id = 70800434, pos = { x = -161.098, y = 225.233, z = 4022.271 }, rot = { x = 0.000, y = 53.192, z = 0.000 }, level = 10, area_id = 22 },
	[747026] = { config_id = 747026, gadget_id = 70800434, pos = { x = -152.284, y = 222.104, z = 4008.283 }, rot = { x = 0.000, y = 45.000, z = 0.000 }, level = 10, area_id = 22 },
	[747027] = { config_id = 747027, gadget_id = 70800434, pos = { x = -147.030, y = 228.555, z = 4002.174 }, rot = { x = 0.000, y = 29.002, z = 0.000 }, level = 10, area_id = 22 },
	[747028] = { config_id = 747028, gadget_id = 70800434, pos = { x = -139.670, y = 230.254, z = 4006.554 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747029] = { config_id = 747029, gadget_id = 70800434, pos = { x = -130.009, y = 233.974, z = 4048.636 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747030] = { config_id = 747030, gadget_id = 70800434, pos = { x = -112.303, y = 231.497, z = 4050.336 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 22 },
	[747031] = { config_id = 747031, gadget_id = 70800434, pos = { x = -127.841, y = 229.282, z = 4037.374 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 22 },
	[747032] = { config_id = 747032, gadget_id = 70800434, pos = { x = -149.383, y = 229.342, z = 4040.511 }, rot = { x = 0.000, y = 78.658, z = 0.000 }, level = 10, area_id = 22 },
	[747033] = { config_id = 747033, gadget_id = 70800438, pos = { x = -135.094, y = 226.239, z = 4036.978 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747034] = { config_id = 747034, gadget_id = 70800438, pos = { x = -130.426, y = 230.192, z = 4026.745 }, rot = { x = 0.000, y = 17.803, z = 0.000 }, level = 10, area_id = 22 },
	[747035] = { config_id = 747035, gadget_id = 70800438, pos = { x = -117.857, y = 230.314, z = 4022.738 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747036] = { config_id = 747036, gadget_id = 70800438, pos = { x = -121.447, y = 232.189, z = 4008.318 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747037] = { config_id = 747037, gadget_id = 70800438, pos = { x = -118.132, y = 232.760, z = 4009.038 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747039] = { config_id = 747039, gadget_id = 70800438, pos = { x = -135.943, y = 230.612, z = 3993.017 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 22 },
	[747040] = { config_id = 747040, gadget_id = 70800438, pos = { x = -148.217, y = 228.086, z = 3997.688 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 22 },
	[747041] = { config_id = 747041, gadget_id = 70310016, pos = { x = -131.740, y = 230.000, z = 4013.282 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 22 },
	[747042] = { config_id = 747042, gadget_id = 70800438, pos = { x = -171.181, y = 226.093, z = 4010.829 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 22 },
	[747043] = { config_id = 747043, gadget_id = 70800438, pos = { x = -160.799, y = 220.279, z = 3998.697 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 10, area_id = 22 },
	[747044] = { config_id = 747044, gadget_id = 70800438, pos = { x = -149.190, y = 226.387, z = 3987.004 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 22 },
	[747045] = { config_id = 747045, gadget_id = 70800438, pos = { x = -152.089, y = 224.907, z = 4002.419 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 22 },
	[747046] = { config_id = 747046, gadget_id = 70800438, pos = { x = -154.904, y = 225.560, z = 3994.929 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 22 },
	[747047] = { config_id = 747047, gadget_id = 70800438, pos = { x = -153.050, y = 223.102, z = 4022.317 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 22 },
	[747048] = { config_id = 747048, gadget_id = 70800438, pos = { x = -171.401, y = 223.933, z = 3953.710 }, rot = { x = 0.000, y = 48.862, z = 0.000 }, level = 10, area_id = 22 },
	[747049] = { config_id = 747049, gadget_id = 70800420, pos = { x = -146.697, y = 236.783, z = 4004.492 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 22 }
}

-- 区域
regions = {
	[747053] = { config_id = 747053, shape = RegionShape.SPHERE, radius = 200, pos = { x = -158.443, y = 230.497, z = 3986.738 }, area_id = 22 },
	[747054] = { config_id = 747054, shape = RegionShape.SPHERE, radius = 80, pos = { x = -158.443, y = 230.497, z = 3986.738 }, area_id = 22 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 场景猎手出生点
	{ config_id = 747055, pos = { x = -176.473, y = 219.767, z = 3967.938 }, rot = { x = 0.000, y = 46.613, z = 0.000 }, area_id = 22 },
	-- 场景游侠出生点1
	{ config_id = 747056, pos = { x = -167.381, y = 218.639, z = 3979.542 }, rot = { x = 359.152, y = 51.817, z = 352.282 }, area_id = 22 },
	-- 场景游侠出生点2
	{ config_id = 747057, pos = { x = -166.581, y = 218.897, z = 3978.441 }, rot = { x = 358.995, y = 49.744, z = 352.671 }, area_id = 22 },
	-- 场景游侠出生点3
	{ config_id = 747058, pos = { x = -165.738, y = 219.227, z = 3977.411 }, rot = { x = 359.044, y = 51.806, z = 351.954 }, area_id = 22 },
	-- 能量随机点1
	{ config_id = 747059, pos = { x = -148.831, y = 222.687, z = 4023.309 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 22 },
	-- 能量随机点1
	{ config_id = 747060, pos = { x = -153.214, y = 225.205, z = 3973.485 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 22 },
	-- 能量随机点1
	{ config_id = 747061, pos = { x = -152.005, y = 222.332, z = 4020.241 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 22 },
	-- 能量随机点1
	{ config_id = 747062, pos = { x = -131.867, y = 229.959, z = 4002.393 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 22 },
	-- 能量随机点1
	{ config_id = 747063, pos = { x = -176.258, y = 222.801, z = 3960.597 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 22 },
	-- 能量随机点1
	{ config_id = 747064, pos = { x = -138.726, y = 225.850, z = 4038.129 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 22 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 747001 },
		regions = { 747053, 747054 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 747002, 747003, 747004, 747006, 747007, 747008, 747009, 747010, 747011, 747012, 747013, 747014, 747015, 747016, 747017, 747018, 747019, 747020, 747021, 747022, 747023, 747024, 747025, 747026, 747027, 747028, 747029, 747030, 747031, 747032, 747033, 747034, 747035, 747036, 747037, 747039, 747040, 747042, 747043, 747044, 747045, 747046, 747047, 747048 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 747005, 747041, 747049 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/HideAndSeek_Gallery_V3"
require "V3_3/HideAndSeek_Skill_V3"
